For the complete documentation index, see llms.txt. This page is also available as Markdown.

Effects Management

API reference for managing SkinGPT effects: create, read, update, duplicate, bulk delete, and attach or detach an effect from a dataset.

Create Effect

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
Body
titlestring · min: 1Required
descriptionstring · nullableOptional
typeone of · nullableOptional
string · enumOptional
  • product - Product
  • environment - Environment
  • procedure - Procedure
Possible values:
or
undefined · enumOptionalPossible values:
variant_comparison_pairsany · nullableOptional
comparison_enabledbooleanOptionalDefault: false
prompt_chain_enabledbooleanOptionalDefault: false
watermark_enabledbooleanOptionalDefault: false
Responses
201Success
application/json
idstringRead-onlyRequired
titlestringRequired
descriptionstring · nullableOptional
is_defaultbooleanRead-onlyRequired
typeone of · nullableOptional
string · enumOptional
  • product - Product
  • environment - Environment
  • procedure - Procedure
Possible values:
or
undefined · enumOptionalPossible values:
updated_atstring · date-timeRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
variant_comparison_pairsany · nullableOptional
comparison_enabledbooleanOptionalDefault: false
prompt_chain_enabledbooleanOptionalDefault: false
watermark_enabledbooleanOptionalDefault: false
post/api/v1/companies/{company_id}/effects/
POST /api/v1/companies/{company_id}/effects/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218

{
  "title": "text",
  "description": null,
  "type": "product",
  "attach_options": {
    "model": "text",
    "comparison": true
  },
  "variant_comparison_pairs": null,
  "comparison_enabled": false,
  "prompt_chain_enabled": false,
  "watermark_enabled": false
}
{
  "id": "text",
  "title": "text",
  "description": null,
  "is_default": true,
  "type": "product",
  "datasets": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "updated_at": "2026-01-01T00:00:00.000Z",
  "created_at": "2026-01-01T00:00:00.000Z",
  "effect_variants": [
    {
      "id": "text",
      "title": "text",
      "priority": null
    }
  ],
  "attach_options": {
    "model": "text",
    "comparison": true
  },
  "variant_comparison_pairs": null,
  "comparison_enabled": false,
  "prompt_chain_enabled": false,
  "watermark_enabled": false
}

Get Effect info

get
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Responses
200Success
application/json
idstringRead-onlyRequired
titlestringRequired
descriptionstring · nullableOptional
is_defaultbooleanRead-onlyRequired
typeone of · nullableOptional
string · enumOptional
  • product - Product
  • environment - Environment
  • procedure - Procedure
Possible values:
or
undefined · enumOptionalPossible values:
updated_atstring · date-timeRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
variant_comparison_pairsany · nullableOptional
comparison_enabledbooleanOptionalDefault: false
prompt_chain_enabledbooleanOptionalDefault: false
watermark_enabledbooleanOptionalDefault: false
get/api/v1/companies/{company_id}/effects/{effect_id}/
GET /api/v1/companies/{company_id}/effects/{effect_id}/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "title": "text",
  "description": null,
  "is_default": true,
  "type": "product",
  "datasets": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "updated_at": "2026-01-01T00:00:00.000Z",
  "created_at": "2026-01-01T00:00:00.000Z",
  "effect_variants": [
    {
      "id": "text",
      "title": "text",
      "priority": null
    }
  ],
  "attach_options": {
    "model": "text",
    "comparison": true
  },
  "variant_comparison_pairs": null,
  "comparison_enabled": false,
  "prompt_chain_enabled": false,
  "watermark_enabled": false
}

List Effects

get
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
Query parameters
qstringOptional

A search term.

pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
get/api/v1/companies/{company_id}/effects/
GET /api/v1/companies/{company_id}/effects/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "text",
      "title": "text",
      "description": null,
      "is_default": true,
      "type": "product",
      "datasets": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        }
      ],
      "updated_at": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z",
      "effect_variants": [
        {
          "id": "text",
          "title": "text",
          "priority": null
        }
      ],
      "attach_options": {
        "model": "text",
        "comparison": true
      },
      "variant_comparison_pairs": null,
      "comparison_enabled": false,
      "prompt_chain_enabled": false,
      "watermark_enabled": false
    }
  ]
}

Update Effect

patch
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Body
titlestring · min: 1Optional
descriptionstring · nullableOptional
typeone of · nullableOptional
string · enumOptional
  • product - Product
  • environment - Environment
  • procedure - Procedure
Possible values:
or
undefined · enumOptionalPossible values:
variant_comparison_pairsany · nullableOptional
comparison_enabledbooleanOptionalDefault: false
prompt_chain_enabledbooleanOptionalDefault: false
watermark_enabledbooleanOptionalDefault: false
Responses
200Success
application/json
idstringRead-onlyRequired
titlestringRequired
descriptionstring · nullableOptional
is_defaultbooleanRead-onlyRequired
typeone of · nullableOptional
string · enumOptional
  • product - Product
  • environment - Environment
  • procedure - Procedure
Possible values:
or
undefined · enumOptionalPossible values:
updated_atstring · date-timeRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
variant_comparison_pairsany · nullableOptional
comparison_enabledbooleanOptionalDefault: false
prompt_chain_enabledbooleanOptionalDefault: false
watermark_enabledbooleanOptionalDefault: false
patch/api/v1/companies/{company_id}/effects/{effect_id}/
PATCH /api/v1/companies/{company_id}/effects/{effect_id}/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218

{
  "title": "text",
  "description": null,
  "type": "product",
  "attach_options": {
    "model": "text",
    "comparison": true
  },
  "variant_comparison_pairs": null,
  "comparison_enabled": false,
  "prompt_chain_enabled": false,
  "watermark_enabled": false
}
{
  "id": "text",
  "title": "text",
  "description": null,
  "is_default": true,
  "type": "product",
  "datasets": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "updated_at": "2026-01-01T00:00:00.000Z",
  "created_at": "2026-01-01T00:00:00.000Z",
  "effect_variants": [
    {
      "id": "text",
      "title": "text",
      "priority": null
    }
  ],
  "attach_options": {
    "model": "text",
    "comparison": true
  },
  "variant_comparison_pairs": null,
  "comparison_enabled": false,
  "prompt_chain_enabled": false,
  "watermark_enabled": false
}

Attach Effect to Dataset

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Body
datasetsstring · uuid[]Required
Responses
200Success
application/json
statusstringRequired
post/api/v1/companies/{company_id}/effects/{effect_id}/attach-to-dataset/
POST /api/v1/companies/{company_id}/effects/{effect_id}/attach-to-dataset/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "datasets": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "status": "text"
}

Detach Effect from Dataset

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Body
datasetsstring · uuid[]Required
Responses
200Success
application/json
statusstringRequired
post/api/v1/companies/{company_id}/effects/{effect_id}/detach-from-dataset/
POST /api/v1/companies/{company_id}/effects/{effect_id}/detach-from-dataset/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "datasets": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "status": "text"
}

Duplicate Effect

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
effect_idstringRequired
Body
titlestring · min: 1 · nullableOptional
descriptionstring · nullableOptional
Responses
200Success
application/json
statusstringRequired
post/api/v1/companies/{company_id}/effects/{effect_id}/duplicate/
POST /api/v1/companies/{company_id}/effects/{effect_id}/duplicate/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "title": null,
  "description": null
}
{
  "status": "text"
}

Delete Effect(s) in a Bulk Manner

post
Authorizations
AuthorizationstringRequired

Authenticate using SaaS Private token

Path parameters
company_idstring · uuidRequired
Body
effects_idsstring[]Required
Responses
200Success
application/json
statusstringRequired
post/api/v1/companies/{company_id}/effects/bulk-delete/
POST /api/v1/companies/{company_id}/effects/bulk-delete/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "effects_ids": [
    "text"
  ]
}
{
  "status": "text"
}

Book a demo external-linkSkinGPT on haut.ai

Last updated